=== saga-gis/src/tools/shapes/shapes_grid/CMakeLists.txt ===
if(WITH_TOOLS)
	project(shapes_grid)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
