=== debian/changelog ===
saga (9.3.1+dfsg-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:22:14 +1100

saga (9.3.1+dfsg-3build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:00:14 +0000

saga (9.3.1+dfsg-3build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:15:13 +0100

saga (9.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Feb 2024 19:14:43 +0100

saga (9.3.1+dfsg-3~exp1) experimental; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with SWIG 4.2.
  * Reinstate Python bindings.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Feb 2024 15:48:22 +0100

saga (9.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Replace pkg-config build dependency with pkgconf.
  * Drop Python bindings, causes FTBFS with SWIG 4.2.
    (closes: #1062880)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2024 20:31:49 +0100

saga (9.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Fix typo in manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jan 2024 20:39:58 +0100
