=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_PYTHON_INSTALL_LAYOUT=deb_system

CFLAGS += $(CPPFLAGS)

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --buildsystem=cmake --sourcedirectory=saga-gis --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_SYSTEM_SVM=on \
		-DWITH_SYSTEM_DXF=on \
		-DWITH_TRIANGLE=off \
		-DWITH_FIRE_SPREADING=off

execute_before_dh_auto_build:
	pod2man --section=1 --release=$(UPSTREAM_VERSION) --center " " debian/saga_gui.pod > saga_gui.1
	pod2man --section=1 --release=$(UPSTREAM_VERSION) --center " " debian/saga_cmd.pod > saga_cmd.1

execute_after_dh_auto_install:
	# Remove executable bit from resource files
	chmod -x debian/*/usr/share/saga/*.*

	# Explicitly remove files not to be installed
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyc" -delete
	find $(CURDIR)/debian/tmp/usr/lib -name "*.pyo" -delete

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_makeshlibs:
	dh_makeshlibs -Xpython3-saga
