## saga 9.5.0+dfsg

=== debian/changelog ===
saga (9.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2024 20:59:57 +0200

saga (9.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Jun 2024 20:26:20 +0200

saga (9.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Drop python.patch, applied upstream.
  * Explicitly disable PDAL support.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 13:04:32 +0200

saga (9.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop SWIG 4.2 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 05:40:11 +0100
