=== saga-gis/src/saga_core/saga_gui/res/CMakeLists.txt ===
--- 
+++ 
@@ -32,10 +32,9 @@
 # appdata
 install(FILES org.saga-gis.saga-gui.appdata.xml DESTINATION share/metainfo)
 
-# tip, srs and dic
+# tip-of-the-day and srs
 install(FILES saga_tip.txt DESTINATION share/saga)
 install(FILES saga_srs.txt DESTINATION share/saga RENAME saga_prj.srs)
-install(FILES saga_dic.txt DESTINATION share/saga RENAME saga_prj.dic)
 
 # cosmetic: add to custom target to show up in IDE
 add_custom_target(saga-gui-res-otherfiles SOURCES
@@ -43,7 +42,6 @@
 	org.saga-gis.saga-gui.appdata.xml
 	saga_tip.txt
 	saga_srs.txt
-	saga_dic.txt
 	)
 
 # TODO: dist-hook
