=== saga-gis/src/tools/io/io_pdal/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,14 @@
 		FIND_PACKAGE_HANDLE_STANDARD_ARGS(PDAL REQUIRED_VARS PDAL_LIBRARY_UTIL PDAL_LIBRARY_CPP PDAL_INCLUDE_DIR)
 		set(PDAL_LIBRARIES ${PDAL_LIBRARY_CPP} ${PDAL_LIBRARY_UTIL} ws2_32)
 	endif()
+
 	if(NOT PDAL_FOUND)
-		find_package(PDAL QUIET)	# link PDAL library
+		find_package(PDAL REQUIRED)
 	endif()
-	if(PDAL_FOUND)
+
+	if(NOT PDAL_FOUND)
+		message(FATAL_ERROR "Error: Unable to locate the required library 'PDAL', even though WITH_TOOLS_PDAL is set to On. Please make sure to install the 'PDAL' library or update your configuration by setting WITH_TOOLS_PDAL to Off.")
+	else()
 		project(io_pdal)
 		include(../../CMakePluginTemplate.cmake)	# load common tool template
 		target_include_directories(${PROJECT_NAME} PUBLIC ${PDAL_INCLUDE_DIR})
