=== debian/changelog ===
saga (9.5.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 08:31:29 +0200
