## saga 9.6.0+dfsg

=== debian/changelog ===
saga (9.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Sep 2024 15:42:03 +0200
