## saga 9.6.1+dfsg

=== debian/changelog ===
saga (9.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.
  * Add patch to fix AppStream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Oct 2024 15:25:19 +0200
