## saga 9.6.2+dfsg

=== debian/changelog ===
saga (9.6.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop appstream.patch, applied upstream.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Dec 2024 07:20:11 +0100
