## saga 9.7.0+dfsg

=== debian/changelog ===
saga (9.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Dec 2024 20:11:24 +0100

saga (9.6.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Dec 2024 17:10:36 +0100
