## saga 9.7.2%2Bdfsg

=== saga-gis/src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #   liblas-dev
 #   libpdal-dev
 #
-# System alternatives to build-in code
+# System alternatives to built-in code
 #   libcurl-dev
 #   libsvm-dev
 #   libqhull-dev
