=== saga-gis/src/tools/io/CMakeLists.txt ===
add_subdirectory(io_esri_e00)
add_subdirectory(io_gdal)
add_subdirectory(io_gps)
add_subdirectory(io_grid)
add_subdirectory(io_grid_image)
add_subdirectory(io_pdal)
add_subdirectory(io_riegl_rdb)
add_subdirectory(io_shapes)
add_subdirectory(io_table)
add_subdirectory(io_virtual)
add_subdirectory(io_webservices)
