=== saga-gis/src/tools/terrain_analysis/ta_profiles/CMakeLists.txt ===
if(WITH_TOOLS)
	project(ta_profiles)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
