=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: saga
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan@gisky.be>,
            Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
@@ -20,7 +19,7 @@
                pkgconf,
                python3-dev,
                swig
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/saga
 Vcs-Git: https://salsa.debian.org/debian-gis-team/saga.git
 Homepage: http://www.saga-gis.org/
