=== saga-gis/src/tools/projection/CMakeLists.txt ===
add_subdirectory(pj_georeference)
add_subdirectory(pj_geotrans)
add_subdirectory(pj_proj4)
