=== saga-gis/src/tools/garden/garden_games/CMakeLists.txt ===
if(WITH_TOOLS)
	project(garden_games)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
