=== saga-gis/src/tools/io/io_grid/CMakeLists.txt ===
if(WITH_TOOLS)
	project(io_grid)

	# load common tool template
	include(../../CMakePluginTemplate.cmake)
endif()
