=== saga-gis/src/tools/terrain_analysis/ta_hydrology/CMakeLists.txt ===
if(WITH_TOOLS)
	project(ta_hydrology)

	# load common tool template
	include(../../CMakePluginTemplate.cmake )
endif()
