=== debian/changelog ===
saga (9.7.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jan 2025 15:46:00 +0100
